%define name fast-user-switch-applet
%define version 2.24.0
%define release %mkrel 1

Summary: Fast User-Switching Applet for GNOME
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
# (fc) 2.20.0-2mdv autoselect user name in gdm when switching user (GNOME bug #402475)
Patch0: fast-user-switch-applet-2.20.0-username.patch
# (fc) 2.20.0-2mdv change defaults to no show "Others" and show user name instead of "Users" (Fedora)
Patch1: fast-user-switch-applet-2.17.3-defaults.patch
# (fc) 2.20.0-2mdv don't connect to session manager (GNOME bug #421090)
Patch3: fast-user-switch-applet-2.20.0-no-session.patch
# (fc) 2.20.0-2mdv don't call gnome-screensaver with invalid arguments (GNOME bug #477639)
Patch5: fast-user-switch-applet-2.20.0-throttle.patch
# (fc) 2.20.0-2mdv respect gdm Include user key (GNOME bug #477666)
Patch7: fast-user-switch-applet-2.20.0-many-users.patch

License: GPLv2+
Group: Graphical desktop/GNOME
Url: http://ignore-your.tv/fusa/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-panel-devel
BuildRequires: intltool
BuildRequires: gnome-doc-utils
BuildRequires: libglade2.0-devel
BuildRequires: avahi-glib-devel avahi-client-devel
BuildRequires: libxslt-proc
BuildRequires: libxmu-devel
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
The Fast User-Switching Applet is an applet for the GNOME panel which
provides a menu to switch between users. It integrates with GDM to switch
between existing X11 sessions or create new ones as needed, and will show
the same users as the GDM face browser.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .username
%patch1 -p1 -b .defaults
%patch3 -p1 -b .no-session
%patch5 -p1 -b .throttle
%patch7 -p1 -b .many-users

%build
%configure2_5x	--with-users-admin=/usr/bin/userdrake \
		--with-gdm-setup=/usr/bin/gdmsetup \
		--with-gdm-config=/etc/X11/gdm/custom.conf --disable-scrollkeeper
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %name
for omf in %buildroot%_datadir/omf/*/*-{??,??_??}.omf;do
echo "%lang($(basename $omf|sed -e s/.*-// -e s/.omf//)) $(echo $omf|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas %name
%update_scrollkeeper

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper


%files -f %name.lang
%defattr(-,root,root)
%doc NEWS AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/%name.schemas
%_libdir/bonobo/servers/GNOME_FastUserSwitchApplet.server
%_libexecdir/%name
%_datadir/%name
%_datadir/gnome-2.0/ui/GNOME_FastUserSwitchApplet.xml
%_datadir/gnome/help/%name/
%dir %_datadir/omf/%name/
%_datadir/omf/%name/*-C.omf


%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 286820
- fix build deps
- new version
- drop patch 6
- update build deps
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183220
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 2.21.0-1mdv2008.1
+ Revision: 130065
- new version
- drop patches 2,4

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 15 2007 Frederic Crozat <fcrozat@mandriva.com> 2.20.0-2mdv2008.1
+ Revision: 98470
- Patch0: autoselect user name in gdm when switching user (GNOME bug #402475)
- Patch1 (Fedora): change defaults to no show "Others" and show user name instead of "Users"
- Patch2 : don't crash if not started under GDM (GNOME bug #421080)
- Patch3 : don't connect to session manager (GNOME bug #421090)
- Patch4: fix crash in GDM socket search (GNOME bug #408309)
- Patch5: don't call gnome-screensaver with invalid arguments (GNOME bug #477639)
- Patch6: improve error dialog (GNOME bug #477656)
- Patch7: respect gdm Include user key (GNOME bug #477666)

* Tue Sep 18 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89585
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2008.0
+ Revision: 14063
- new version


* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 2.17.4-2mdv2007.0
+ Revision: 126306
- release bump for blino
- new version
- update file list

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 2.17.3-2mdv2007.1
+ Revision: 87710
- fix buildrequires
- bump release
- fix buildrequires
- new version
- mkrel
- Import fast-user-switch-applet

* Wed Sep 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New version 2.16.0

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-3mdv2007.0
- Rebuild with latest dbus

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 2.15.2-2mdv2007.0
- use new macros
- fix buildrequires

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 2.15.2-1mdk
- New release 2.15.2

* Sat Apr 29 2006 David Walluck <walluck@mandriva.org> 2.15.1-1mdk
- 2.15.1

* Wed Apr 12 2006 Götz Waschk <waschk@mandriva.org> 2.14.1-1mdk
- New release 2.14.1

* Tue Mar 14 2006 Götz Waschk <waschk@mandriva.org> 2.14.0-1mdk
- New release 2.14.0

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 2.13.92-1mdk
- New release 2.13.92

* Tue Feb 14 2006 Götz Waschk <waschk@mandriva.org> 2.13.91-1mdk
- New release 2.13.91

* Tue Jan 17 2006 Götz Waschk <waschk@mandriva.org> 2.13.5-1mdk
- New release 2.13.5

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.13.3-4mdk
- Fix BuildRequires
- use mkrel

* Tue Dec 20 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-3mdk
- fix buildrequires

* Wed Dec 14 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-2mdk
- fix buildrequires

* Tue Dec 13 2005 Götz Waschk <waschk@mandriva.org> 2.13.3-1mdk
- fix omf file listing
- new source URL
- New release 2.13.3

* Tue Nov 22 2005 Frederic Crozat <fcrozat@mandriva.com> 0.2.4-1mdk
- Release 0.2.4

* Tue Aug 16 2005 Pascal Terjan <pterjan@mandriva.org> 0.2.3-1mdk
- initial package

